#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libconfig
Version		:	1.7.2
Release		:	17.0.10.rel%{?dist}
Summary		:	Libconfig is a simple library for processing structured configuration file
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv3+
URL		:	https://hyperrealm.github.io/libconfig/

Source0		:	%{name}-%{version}.tar.gz

buildroot	:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

#-----------------------------------------------------------------------------
BuildRequires	:	autoconf
BuildRequires	:	automake
BuildRequires	:	bison
BuildRequires	:	flex
BuildRequires	:	libtool
#-----------------------------------------------------------------------------
%description
Libconfig is a simple library for processing structured configuration
files. This file format is more compact and more readable than XML.
And unlike XML, it is type-aware, so it is not necessary to do
string parsing in application code.

%prep
%setup -q

#---------------------------------------------------------
#building application
%build

autoreconf -fi
./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install
%{__rm} -fr %{buildroot}%{_infodir}/dir

%files			
%defattr(-, root,root,-)
%doc AUTHORS COPYING.LIB NEWS README
%{_includedir}/%{name}.h*
%{_libdir}/%{name}*.{la,so*}
%{_libdir}/pkgconfig/%{name}*.pc
%{_libdir}/cmake/%{name}*/%{name}*.cmake
%{_datadir}/info/%{name}.info.gz

%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig


%changelog
